module Flashboy
  class OrderBook
    attr_reader :pair, :bids, :asks, :exchange

    def initialize(data)
      @pair = data[:pair]
      @exchange = data[:exchange]
      @bids = (data[:bids] || []).map { |bid| Bid.new(bid) }
      @asks = (data[:asks] || []).map { |ask| Ask.new(ask) }
    end
  end
end
